package com.hxhq.business.form.mjy;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @author 15881
 */
public class SearchForm {

    /** 名称 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 失效日期开始 */
    private String startDate;

    /** 失效日期结束 */
    private String endDate;

    /** 制剂状态：1：入库；3：已发放；5：已锁定；7：待归档；9：归档；11：待解档 */
    private Integer zjzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 试验id */
    private Long studyId;

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getZjzt() {
        return zjzt;
    }

    public void setZjzt(Integer zjzt) {
        this.zjzt = zjzt;
    }

    public Integer getJyzt() {
        return jyzt;
    }

    public void setJyzt(Integer jyzt) {
        this.jyzt = jyzt;
    }
}
